@if (componentData$ | async; as componentData) {
  @if (componentData.uiState.loading) {
    <div
      class="full-width p-10 spinner neutral-background-color current-workspace-main-color"
    >
      <i nz-icon nzType="loading" nzTheme="outline"></i>
    </div>
  } @else if (componentData.failureDetailList.length > 0) {
    <div
      class="full-width neutral-background-color p-10"
      [attr.data-test-element-id]="'failure-detail-section'"
    >
      @if (parentType === 'automated-suite-details-modal') {
        <sqtm-core-label
          class="m-b-10"
          [text]="'sqtm-core.entity.failure-detail.title' | translate"
          [attr.data-test-element-id]="'failure-detail-title'"
        ></sqtm-core-label>
      }
      <nz-collapse [nzBordered]="false">
        @for (
          failureDetail of componentData.failureDetailList;
          let i = $index;
          track failureDetail
        ) {
          <nz-collapse-panel
            class="p-10 m-b-5 collapse-panel"
            [nzHeader]="
              ('sqtm-core.entity.failure-detail.label' | translate) +
              ' ' +
              (i + 1)
            "
            [nzActive]="true"
            [attr.data-test-element-id]="'failure-detail-' + (i + 1)"
          >
            <sqtm-app-failure-detail-component
              [failureDetail]="failureDetail"
              [failureDetailIndex]="i"
              [extenderId]="extenderId"
              (refreshExecutionIssue)="relayRefreshExecutionIssue()"
            >
            </sqtm-app-failure-detail-component>
          </nz-collapse-panel>
        }
      </nz-collapse>
    </div>
  } @else if (parentType == 'execution-page') {
    <div [attr.data-test-element-id]="'empty-failure-detail-section'">
      {{ 'sqtm-core.grid.empty-grid.label' | translate }}
    </div>
  }
}
